<template>
    <modal
            name="mistake-modal"
            transition="nice-modal-fade"
            :min-width="200"
            :min-height="200"
            :pivot-y="0.5"
            :adaptive="true"
            :scrollable="true"
            :reset="true"
            :max-width="600"
            width="80%"
            height="auto">
        <div class="modal-content">

            <div>
                <input type="text" v-model="name" class="text-input" placeholder="Введите описанеие ошибки">

            </div>

            <div class="text-center">
                <button class="a-btn" @click="sendData">Сообщить</button>
            </div>

        </div>
    </modal>
</template>

<script>
    export default {
        name: 'PhoneModal',
        data(){
            return{
                name: '',
            }
        },
        methods:{
            sendData(){
                this.$axios.post('/task/error/',{
                    message: name
                }).then((data)=>{
                    console.log(data)
                    this.$modal.hide('mistake-modal')
                }).catch((error)=>{
                    console.log(error)
                })
            }
        }
    }
</script>
